Index: tmp/org.txm.core/res/org/txm/xml/xsl/filter-out-sp.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/filter-out-sp.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/filter-out-sp.xsl	(revision 2397)
@@ -1,46 +1,48 @@
 <?xml version="1.0"?>
 <xsl:stylesheet
-  xmlns:xd="http://www.pnp-software.com/XSLTdoc"
-  xmlns:edate="http://exslt.org/dates-and-times"
-  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:tei="http://www.tei-c.org/ns/1.0"
-  exclude-result-prefixes="tei edate xd" version="2.0">
-  
-  <xd:doc type="stylesheet">
-    <xd:short>
-      Feuille de style de suppression de certains éléments XML à utiliser comme
-      prétraitement de l'import XML/w+CSV. 
-    </xd:short>
-    <xd:detail>
-      This stylesheet is free software; you can redistribute it and/or
-      modify it under the terms of the GNU Lesser General Public
-      License as published by the Free Software Foundation; either
-      version 3 of the License, or (at your option) any later version.
-      
-      This stylesheet is distributed in the hope that it will be useful,
-      but WITHOUT ANY WARRANTY; without even the implied warranty of
-      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-      Lesser General Public License for more details.
-      
-      You should have received a copy of GNU Lesser Public License with
-      this stylesheet. If not, see http://www.gnu.org/licenses/lgpl.html
-    </xd:detail>
-    <xd:author>Serge Heiden slh@ens-lyon.fr</xd:author>
-    <xd:copyright>2013, CNRS / ICAR (ICAR3 LinCoBaTO)</xd:copyright>
-  </xd:doc>
-  
+	xmlns:xd="http://www.pnp-software.com/XSLTdoc"
+	xmlns:edate="http://exslt.org/dates-and-times"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xmlns:tei="http://www.tei-c.org/ns/1.0"
+	exclude-result-prefixes="tei edate xd" version="2.0">
 
-  <xsl:output method="xml" encoding="utf-8" omit-xml-declaration="yes"/>
+	<xd:doc type="stylesheet">
+		<xd:short>
+			Feuille de style de suppression de certains éléments XML à utiliser comme
+			prétraitement de l'import XML/w+CSV.
+		</xd:short>
+		<xd:detail>
+			This stylesheet is free software; you can redistribute it and/or
+			modify it under the terms of the GNU Lesser General Public
+			License as published by the Free Software Foundation; either
+			version 3 of the License, or (at your option) any later version.
 
-  <xsl:template match="@*|node()">
-    <xsl:copy>
-      <xsl:apply-templates select="@*|node()" />
-    </xsl:copy>
-  </xsl:template>
-  
-  <!-- On supprime tous les <sp> dont l'attribut @who vaut 'enqueteur' -->
-  
-  <xsl:template match="//sp[@who='enqueteur']">    
-      <!--<xsl:copy-of select="."/>-->    
-  </xsl:template>
-	
+			This stylesheet is distributed in the hope that it will be useful,
+			but WITHOUT ANY WARRANTY; without even the implied warranty of
+			MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+			Lesser General Public License for more details.
+
+			You should have received a copy of GNU Lesser Public License with
+			this stylesheet. If not, see http://www.gnu.org/licenses/lgpl.html
+		</xd:detail>
+		<xd:author>Serge Heiden slh@ens-lyon.fr</xd:author>
+		<xd:copyright>2013, CNRS / ICAR (ICAR3 LinCoBaTO)</xd:copyright>
+	</xd:doc>
+
+
+	<xsl:output method="xml" encoding="utf-8"
+		omit-xml-declaration="yes" />
+
+	<xsl:template match="@*|node()">
+		<xsl:copy>
+			<xsl:apply-templates select="@*|node()" />
+		</xsl:copy>
+	</xsl:template>
+
+	<!-- On supprime tous les <sp> dont l'attribut @who vaut 'enqueteur' -->
+
+	<xsl:template match="//sp[@who='enqueteur']">
+		<!--<xsl:copy-of select="."/> -->
+	</xsl:template>
+
 </xsl:stylesheet>
Index: tmp/org.txm.core/res/org/txm/xml/xsl/txm-filter-teitextgrid-xmlw-posttok.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/txm-filter-teitextgrid-xmlw-posttok.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/txm-filter-teitextgrid-xmlw-posttok.xsl	(revision 2397)
@@ -1,142 +1,174 @@
 <?xml version="1.0"?>
-<xsl:stylesheet xmlns:edate="http://exslt.org/dates-and-times"
-  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xd="http://www.pnp-software.com/XSLTdoc" xmlns:tei="http://www.tei-c.org/ns/1.0" xmlns:txm="http://textometrie.org/1.0"
-  exclude-result-prefixes="tei edate txm" xpath-default-namespace="http://www.tei-c.org/ns/1.0" version="2.0">
+<xsl:stylesheet
+	xmlns:edate="http://exslt.org/dates-and-times"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xmlns:xd="http://www.pnp-software.com/XSLTdoc"
+	xmlns:tei="http://www.tei-c.org/ns/1.0"
+	xmlns:txm="http://textometrie.org/1.0"
+	exclude-result-prefixes="tei edate txm"
+	xpath-default-namespace="http://www.tei-c.org/ns/1.0" version="2.0">
 
-  <xd:doc type="stylesheet">
-    <xd:short>
-      This stylesheet is used on tokenized DARIAH-DE TextGrid files
-      in the TXM XML/w + csv import process.
-    </xd:short>
-    <xd:detail>
-      This stylesheet is free software; you can redistribute it and/or
-      modify it under the terms of the GNU Lesser General Public
-      License as published by the Free Software Foundation; either
-      version 3 of the License, or (at your option) any later version.
-      
-      This stylesheet is distributed in the hope that it will be useful,
-      but WITHOUT ANY WARRANTY; without even the implied warranty of
-      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-      Lesser General Public License for more details.
-      
-      You should have received a copy of GNU Lesser Public License with
-      this stylesheet. If not, see http://www.gnu.org/licenses/lgpl.html
-    </xd:detail>
-    <xd:author>Alexei Lavrentiev alexei.lavrentev@ens-lyon.fr</xd:author>
-    <xd:copyright>2014, CNRS / ICAR (CACTUS)</xd:copyright>
-  </xd:doc>
-  
+	<xd:doc type="stylesheet">
+		<xd:short>
+			This stylesheet is used on tokenized DARIAH-DE TextGrid files
+			in the TXM XML/w + csv import process.
+		</xd:short>
+		<xd:detail>
+			This stylesheet is free software; you can redistribute it and/or
+			modify it under the terms of the GNU Lesser General Public
+			License as published by the Free Software Foundation; either
+			version 3 of the License, or (at your option) any later version.
 
-  <xsl:output method="xml" encoding="utf-8" omit-xml-declaration="no"/> 
+			This stylesheet is distributed in the hope that it will be useful,
+			but WITHOUT ANY WARRANTY; without even the implied warranty of
+			MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+			Lesser General Public License for more details.
 
-  <!-- By default, copy all attributes, comments, processing instructions and text nodes -->
+			You should have received a copy of GNU Lesser Public License with
+			this stylesheet. If not, see http://www.gnu.org/licenses/lgpl.html
+		</xd:detail>
+		<xd:author>Alexei Lavrentiev alexei.lavrentev@ens-lyon.fr</xd:author>
+		<xd:copyright>2014, CNRS / ICAR (CACTUS)</xd:copyright>
+	</xd:doc>
 
-  <xsl:template match="@*|comment()|processing-instruction()">
-    <xsl:copy/>
-  </xsl:template>
-  
-  <xsl:template match="text()">
-    <xsl:value-of select="."/>
-  </xsl:template>
-  
-  <!-- delete the teiHeader for xml/w import module-->
-  
-  <xsl:template match="teiHeader"/>
-  
-  
-<!-- The page breaks must be placed before the structural units (text divions) that 
-    start on a given page (to avoid empty elements creation when splitting the pages of the
-    TXM edition) -->
 
-  <xsl:template match="text">
-    <xsl:copy>
-      <xsl:apply-templates select="@*"/>
-      <xsl:if test="not(child::*[1][self::pb])"><pb xmlns="http://www.tei-c.org/ns/1.0" n="title"/></xsl:if>
-      <xsl:apply-templates/>
-    </xsl:copy>
-  </xsl:template>  
+	<xsl:output method="xml" encoding="utf-8"
+		omit-xml-declaration="no" />
 
-  <xsl:template match="*">    
-    <xsl:if test="descendant::tei:pb and (parent::tei:text or preceding-sibling::*)">
-      <!-- on déplace les pb initiaux avant la balise de l'élément le plus haut -->
-      <xsl:call-template name="raisePb"/>
-    </xsl:if>
-    <xsl:choose>
-      <xsl:when test="namespace-uri()=''">
-        <xsl:element namespace="http://www.tei-c.org/ns/1.0" name="{local-name(.)}">
-          <xsl:apply-templates select="*|@*|processing-instruction()|comment()|text()"/>
-        </xsl:element>
-      </xsl:when>
-      <xsl:otherwise>
-        <xsl:copy>
-          <xsl:apply-templates select="*|@*|processing-instruction()|comment()|text()"/>
-        </xsl:copy>
-      </xsl:otherwise>
-    </xsl:choose>  
-  </xsl:template>
-  
-  <xsl:template match="tei:pb[not(preceding-sibling::*) and not(parent::tei:text)]">
-    <xsl:comment>Pb déplacé plus haut</xsl:comment>
-  </xsl:template>
-  
-  <xsl:template name="raisePb">
-    <xsl:if test="descendant::tei:pb">
-      <xsl:for-each select="child::*[1][descendant-or-self::tei:pb]">
-        <xsl:choose>
-          <xsl:when test="self::tei:pb"><xsl:comment>Pb remonté</xsl:comment>
-            <xsl:copy>
-              <xsl:apply-templates select="@*"/>
-              <xsl:if test="not(@n) and not(@facs) and following-sibling::tei:fw[1 or 2][@type='pageNum']">
-                <xsl:attribute name="n"><xsl:value-of select="normalize-space(following-sibling::tei:fw[@type='pageNum'][1])"/></xsl:attribute>
-              </xsl:if>
-            </xsl:copy></xsl:when>
-          <xsl:otherwise><xsl:call-template name="raisePb"></xsl:call-template></xsl:otherwise>
-        </xsl:choose>
-      </xsl:for-each>
-    </xsl:if>
-  </xsl:template>
-  
-  
-<!-- add @ref to words (for concordances) -->
+	<!-- By default, copy all attributes, comments, processing instructions 
+		and text nodes -->
 
-  <xsl:variable name="filename">
-    <xsl:analyze-string select="document-uri(.)" regex="^(.*)/([^/]+)\.[^/]+$">
-      <xsl:matching-substring>
-        <xsl:value-of select="regex-group(2)"/>
-      </xsl:matching-substring>
-    </xsl:analyze-string>
-  </xsl:variable>
-  
-  <xsl:template match="w">
-    <xsl:variable name="ref">
-      <xsl:choose>
-        <xsl:when test="preceding::pb[1][@n]">
-          <xsl:value-of select="concat($filename,', p. ',preceding::pb[1]/@n)"/>
-        </xsl:when>
-        <xsl:otherwise><xsl:value-of select="$filename"/></xsl:otherwise>
-      </xsl:choose>
-    </xsl:variable>
-        <w xmlns="http://www.tei-c.org/ns/1.0" ref="{$ref}">
-          <xsl:apply-templates select="@*"/>
-          <xsl:apply-templates select="*|processing-instruction()|comment()|text()"/>
-        </w>
-  </xsl:template>
+	<xsl:template
+		match="@*|comment()|processing-instruction()">
+		<xsl:copy />
+	</xsl:template>
 
-<!-- transform speaker into an attribute of the sp element -->
+	<xsl:template match="text()">
+		<xsl:value-of select="." />
+	</xsl:template>
 
-  <xsl:template match="sp">
-    <xsl:copy>
-      <xsl:if test="child::speaker">
-        <xsl:variable name="who">
-          <xsl:value-of select="speaker"/>
-        </xsl:variable>
-        <xsl:attribute name="who"><xsl:value-of select="normalize-space(replace($who,'\s*\p{P}+\s*$',''))"/></xsl:attribute>
-        <xsl:apply-templates/>
-      </xsl:if>
-    </xsl:copy>
-  </xsl:template>
-  
-  <xsl:template match="speaker"/>
-  
+	<!-- delete the teiHeader for xml/w import module -->
 
+	<xsl:template match="teiHeader" />
+
+
+	<!-- The page breaks must be placed before the structural units (text divions) 
+		that start on a given page (to avoid empty elements creation when splitting 
+		the pages of the TXM edition) -->
+
+	<xsl:template match="text">
+		<xsl:copy>
+			<xsl:apply-templates select="@*" />
+			<xsl:if test="not(child::*[1][self::pb])">
+				<pb xmlns="http://www.tei-c.org/ns/1.0" n="title" />
+			</xsl:if>
+			<xsl:apply-templates />
+		</xsl:copy>
+	</xsl:template>
+
+	<xsl:template match="*">
+		<xsl:if
+			test="descendant::tei:pb and (parent::tei:text or preceding-sibling::*)">
+			<!-- on déplace les pb initiaux avant la balise de l'élément le plus haut -->
+			<xsl:call-template name="raisePb" />
+		</xsl:if>
+		<xsl:choose>
+			<xsl:when test="namespace-uri()=''">
+				<xsl:element namespace="http://www.tei-c.org/ns/1.0"
+					name="{local-name(.)}">
+					<xsl:apply-templates
+						select="*|@*|processing-instruction()|comment()|text()" />
+				</xsl:element>
+			</xsl:when>
+			<xsl:otherwise>
+				<xsl:copy>
+					<xsl:apply-templates
+						select="*|@*|processing-instruction()|comment()|text()" />
+				</xsl:copy>
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
+
+	<xsl:template
+		match="tei:pb[not(preceding-sibling::*) and not(parent::tei:text)]">
+		<xsl:comment>
+			Pb déplacé plus haut
+		</xsl:comment>
+	</xsl:template>
+
+	<xsl:template name="raisePb">
+		<xsl:if test="descendant::tei:pb">
+			<xsl:for-each
+				select="child::*[1][descendant-or-self::tei:pb]">
+				<xsl:choose>
+					<xsl:when test="self::tei:pb">
+						<xsl:comment>
+							Pb remonté
+						</xsl:comment>
+						<xsl:copy>
+							<xsl:apply-templates select="@*" />
+							<xsl:if
+								test="not(@n) and not(@facs) and following-sibling::tei:fw[1 or 2][@type='pageNum']">
+								<xsl:attribute name="n"><xsl:value-of
+									select="normalize-space(following-sibling::tei:fw[@type='pageNum'][1])" /></xsl:attribute>
+							</xsl:if>
+						</xsl:copy>
+					</xsl:when>
+					<xsl:otherwise>
+						<xsl:call-template name="raisePb"></xsl:call-template>
+					</xsl:otherwise>
+				</xsl:choose>
+			</xsl:for-each>
+		</xsl:if>
+	</xsl:template>
+
+
+	<!-- add @ref to words (for concordances) -->
+
+	<xsl:variable name="filename">
+		<xsl:analyze-string select="document-uri(.)"
+			regex="^(.*)/([^/]+)\.[^/]+$">
+			<xsl:matching-substring>
+				<xsl:value-of select="regex-group(2)" />
+			</xsl:matching-substring>
+		</xsl:analyze-string>
+	</xsl:variable>
+
+	<xsl:template match="w">
+		<xsl:variable name="ref">
+			<xsl:choose>
+				<xsl:when test="preceding::pb[1][@n]">
+					<xsl:value-of
+						select="concat($filename,', p. ',preceding::pb[1]/@n)" />
+				</xsl:when>
+				<xsl:otherwise>
+					<xsl:value-of select="$filename" />
+				</xsl:otherwise>
+			</xsl:choose>
+		</xsl:variable>
+		<w xmlns="http://www.tei-c.org/ns/1.0" ref="{$ref}">
+			<xsl:apply-templates select="@*" />
+			<xsl:apply-templates
+				select="*|processing-instruction()|comment()|text()" />
+		</w>
+	</xsl:template>
+
+	<!-- transform speaker into an attribute of the sp element -->
+
+	<xsl:template match="sp">
+		<xsl:copy>
+			<xsl:if test="child::speaker">
+				<xsl:variable name="who">
+					<xsl:value-of select="speaker" />
+				</xsl:variable>
+				<xsl:attribute name="who"><xsl:value-of
+					select="normalize-space(replace($who,'\s*\p{P}+\s*$',''))" /></xsl:attribute>
+				<xsl:apply-templates />
+			</xsl:if>
+		</xsl:copy>
+	</xsl:template>
+
+	<xsl:template match="speaker" />
+
+
 </xsl:stylesheet>
\ No newline at end of file
Index: tmp/org.txm.core/res/org/txm/xml/xsl/txm-split-teicorpus.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/txm-split-teicorpus.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/txm-split-teicorpus.xsl	(revision 2397)
@@ -1,73 +1,78 @@
 <!-- The Identity Transformation -->
-<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
-  xmlns:xd="http://www.pnp-software.com/XSLTdoc"
-  xmlns:xs="http://www.w3.org/2001/XMLSchema">
+<xsl:stylesheet version="2.0"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xmlns:xd="http://www.pnp-software.com/XSLTdoc"
+	xmlns:xs="http://www.w3.org/2001/XMLSchema">
 
-  <xd:doc type="stylesheet">
-    <xd:short>
-      This stylesheet is designed for TXM XTZ+CSV import module to split a
-      single file containing a teiCorpus into individual files for each TEI
-      child. This stylesheet should be used at "1-split-merge" step. See 
-      TXM User Manual for more details 
-      (http://textometrie.ens-lyon.fr/spip.php?rubrique64)
-    </xd:short>
-    <xd:detail>
-      This stylesheet is free software; you can redistribute it and/or
-      modify it under the terms of the GNU Lesser General Public
-      License as published by the Free Software Foundation; either
-      version 3 of the License, or (at your option) any later version.
-      
-      This stylesheet is distributed in the hope that it will be useful,
-      but WITHOUT ANY WARRANTY; without even the implied warranty of
-      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-      Lesser General Public License for more details.
-      
-      You should have received a copy of GNU Lesser Public License with
-      this stylesheet. If not, see http://www.gnu.org/licenses/lgpl.html
-    </xd:detail>
-    <xd:author>Alexei Lavrentiev alexei.lavrentev@ens-lyon.fr</xd:author>
-    <xd:copyright>2017, CNRS / UMR 5317 IHRIM (CACTUS research group)</xd:copyright>
-  </xd:doc>
+	<xd:doc type="stylesheet">
+		<xd:short>
+			This stylesheet is designed for TXM XTZ+CSV import module to split a
+			single file containing a teiCorpus into individual files for each TEI
+			child. This stylesheet should be used at "1-split-merge" step. See
+			TXM User Manual for more details
+			(http://textometrie.ens-lyon.fr/spip.php?rubrique64)
+		</xd:short>
+		<xd:detail>
+			This stylesheet is free software; you can redistribute it and/or
+			modify it under the terms of the GNU Lesser General Public
+			License as published by the Free Software Foundation; either
+			version 3 of the License, or (at your option) any later version.
 
-<xsl:param name="output-directory">
-  <xsl:analyze-string select="document-uri(.)" regex="^(.*)/([^/]+)\.[^/.]+$">
-    <xsl:matching-substring>
-      <xsl:value-of select="regex-group(1)"/>
-    </xsl:matching-substring>
-  </xsl:analyze-string>
-</xsl:param>
+			This stylesheet is distributed in the hope that it will be useful,
+			but WITHOUT ANY WARRANTY; without even the implied warranty of
+			MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+			Lesser General Public License for more details.
 
-  <xsl:variable name="filename">
-    <xsl:analyze-string select="document-uri(.)" regex="^(.*)/([^/]+)\.[^/.]+$">
-      <xsl:matching-substring>
-        <xsl:value-of select="regex-group(2)"/>
-      </xsl:matching-substring>
-    </xsl:analyze-string>
-  </xsl:variable>
+			You should have received a copy of GNU Lesser Public License with
+			this stylesheet. If not, see http://www.gnu.org/licenses/lgpl.html
+		</xd:detail>
+		<xd:author>Alexei Lavrentiev alexei.lavrentev@ens-lyon.fr</xd:author>
+		<xd:copyright>2017, CNRS / UMR 5317 IHRIM (CACTUS research group)</xd:copyright>
+	</xd:doc>
 
-<xsl:template match="*:teiCorpus">
-  <xsl:for-each select="descendant::*:TEI">
-    <xsl:variable name="position" as="xs:integer">
-      <xsl:number level="any"/>
-    </xsl:variable>
-    <xsl:variable name="result-filename">
-      <xsl:choose>
-        <xsl:when test="descendant::*:text[1]/@*:id">
-          <xsl:value-of select="descendant::*:text[1]/@*:id"/>
-        </xsl:when>
-        <xsl:when test="@*:id">
-          <xsl:value-of select="@*:id"/>
-        </xsl:when>
-        <xsl:otherwise>
-          <xsl:value-of select="concat($filename,'-',format-number($position,'0000'))"/>
-        </xsl:otherwise>
-      </xsl:choose>
-    </xsl:variable>
-    <xsl:result-document href="{$output-directory}/{$result-filename}.xml">
-      <xsl:copy-of select="."></xsl:copy-of>
-    </xsl:result-document>
-  </xsl:for-each>
-</xsl:template>
+	<xsl:param name="output-directory">
+		<xsl:analyze-string select="document-uri(.)"
+			regex="^(.*)/([^/]+)\.[^/.]+$">
+			<xsl:matching-substring>
+				<xsl:value-of select="regex-group(1)" />
+			</xsl:matching-substring>
+		</xsl:analyze-string>
+	</xsl:param>
 
+	<xsl:variable name="filename">
+		<xsl:analyze-string select="document-uri(.)"
+			regex="^(.*)/([^/]+)\.[^/.]+$">
+			<xsl:matching-substring>
+				<xsl:value-of select="regex-group(2)" />
+			</xsl:matching-substring>
+		</xsl:analyze-string>
+	</xsl:variable>
 
+	<xsl:template match="*:teiCorpus">
+		<xsl:for-each select="descendant::*:TEI">
+			<xsl:variable name="position" as="xs:integer">
+				<xsl:number level="any" />
+			</xsl:variable>
+			<xsl:variable name="result-filename">
+				<xsl:choose>
+					<xsl:when test="descendant::*:text[1]/@*:id">
+						<xsl:value-of select="descendant::*:text[1]/@*:id" />
+					</xsl:when>
+					<xsl:when test="@*:id">
+						<xsl:value-of select="@*:id" />
+					</xsl:when>
+					<xsl:otherwise>
+						<xsl:value-of
+							select="concat($filename,'-',format-number($position,'0000'))" />
+					</xsl:otherwise>
+				</xsl:choose>
+			</xsl:variable>
+			<xsl:result-document
+				href="{$output-directory}/{$result-filename}.xml">
+				<xsl:copy-of select="."></xsl:copy-of>
+			</xsl:result-document>
+		</xsl:for-each>
+	</xsl:template>
+
+
 </xsl:stylesheet>
Index: tmp/org.txm.core/res/org/txm/xml/xsl/tei/bibtex/teitobib.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/tei/bibtex/teitobib.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/tei/bibtex/teitobib.xsl	(revision 2397)
@@ -1,176 +1,194 @@
 <?xml version="1.0" encoding="utf-8"?>
-<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
-                xpath-default-namespace="http://www.tei-c.org/ns/1.0"
-                version="2.0">
-  <xsl:output method="text"/>
+<xsl:stylesheet
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xpath-default-namespace="http://www.tei-c.org/ns/1.0" version="2.0">
+	<xsl:output method="text" />
 
-  <xsl:key name="B" match="biblStruct" use="1"/>
-    <xsl:strip-space elements="*"/>
+	<xsl:key name="B" match="biblStruct" use="1" />
+	<xsl:strip-space elements="*" />
 
-  <xsl:template match="/">
+	<xsl:template match="/">
 
-    <xsl:for-each select="key('B',1)">
-      <xsl:variable name="type">
-	<xsl:choose>
-	  <xsl:when test="idno[@type='url']">
-	    <xsl:text>techreport</xsl:text>
-	  </xsl:when>
-	  <xsl:when test="not(analytic)">
-	    <xsl:text>book</xsl:text>
-	  </xsl:when>
-	  <xsl:when test="monogr/imprint/biblScope[@type='volume']">
-	    <xsl:text>article</xsl:text>	    
-	  </xsl:when>
-	  <xsl:otherwise>
-	    <xsl:text>incollection</xsl:text>	    
-	  </xsl:otherwise>
-	</xsl:choose>
-      </xsl:variable>
-      <xsl:text>@</xsl:text>
-      <xsl:value-of select="$type"/>
-      <xsl:text>{</xsl:text>
-      <xsl:value-of select="@xml:id"/>
-      <xsl:text>,&#10;</xsl:text>
-      <xsl:variable name="all">
-	<xsl:apply-templates/>
-      </xsl:variable>
-      <xsl:for-each select="tokenize($all,'@')">
-	<xsl:if test="not(.='')">
-	  <xsl:text>	</xsl:text>
-	  <xsl:value-of select="."/>
-	  <xsl:if test="not(position()=last())">,</xsl:if>
-	  <xsl:text>&#10;</xsl:text>
-	</xsl:if>
-	</xsl:for-each>
-      <xsl:text>}&#10;&#10;</xsl:text>
-    </xsl:for-each>
-  </xsl:template>
+		<xsl:for-each select="key('B',1)">
+			<xsl:variable name="type">
+				<xsl:choose>
+					<xsl:when test="idno[@type='url']">
+						<xsl:text>techreport</xsl:text>
+					</xsl:when>
+					<xsl:when test="not(analytic)">
+						<xsl:text>book</xsl:text>
+					</xsl:when>
+					<xsl:when test="monogr/imprint/biblScope[@type='volume']">
+						<xsl:text>article</xsl:text>
+					</xsl:when>
+					<xsl:otherwise>
+						<xsl:text>incollection</xsl:text>
+					</xsl:otherwise>
+				</xsl:choose>
+			</xsl:variable>
+			<xsl:text>@</xsl:text>
+			<xsl:value-of select="$type" />
+			<xsl:text>{</xsl:text>
+			<xsl:value-of select="@xml:id" />
+			<xsl:text>,&#10;</xsl:text>
+			<xsl:variable name="all">
+				<xsl:apply-templates />
+			</xsl:variable>
+			<xsl:for-each select="tokenize($all,'@')">
+				<xsl:if test="not(.='')">
+					<xsl:text>	</xsl:text>
+					<xsl:value-of select="." />
+					<xsl:if test="not(position()=last())">
+						,
+					</xsl:if>
+					<xsl:text>&#10;</xsl:text>
+				</xsl:if>
+			</xsl:for-each>
+			<xsl:text>}&#10;&#10;</xsl:text>
+		</xsl:for-each>
+	</xsl:template>
 
-<xsl:template match="publisher">
-  <xsl:text>@publisher={</xsl:text>
-  <xsl:value-of select="."/>
-  <xsl:text>}</xsl:text>
-</xsl:template>
+	<xsl:template match="publisher">
+		<xsl:text>@publisher={</xsl:text>
+		<xsl:value-of select="." />
+		<xsl:text>}</xsl:text>
+	</xsl:template>
 
-<xsl:template match="note">
-  <xsl:text>@note={</xsl:text>
-  <xsl:value-of select="."/>
-  <xsl:text>}</xsl:text>
-</xsl:template>
+	<xsl:template match="note">
+		<xsl:text>@note={</xsl:text>
+		<xsl:value-of select="." />
+		<xsl:text>}</xsl:text>
+	</xsl:template>
 
-<xsl:template match="idno[@type='url']">
-  <xsl:text>@url={</xsl:text>
-  <xsl:value-of select="."/>
-  <xsl:text>}</xsl:text>
-</xsl:template>
+	<xsl:template match="idno[@type='url']">
+		<xsl:text>@url={</xsl:text>
+		<xsl:value-of select="." />
+		<xsl:text>}</xsl:text>
+	</xsl:template>
 
-<xsl:template match="pubPlace">
-  <xsl:text>@address={</xsl:text>
-  <xsl:value-of select="."/>
-  <xsl:text>}</xsl:text>
-</xsl:template>
+	<xsl:template match="pubPlace">
+		<xsl:text>@address={</xsl:text>
+		<xsl:value-of select="." />
+		<xsl:text>}</xsl:text>
+	</xsl:template>
 
-<xsl:template match="date">
-  <xsl:text>@year={</xsl:text>
-  <xsl:value-of select="."/>
-  <xsl:text>}</xsl:text>
-</xsl:template>
+	<xsl:template match="date">
+		<xsl:text>@year={</xsl:text>
+		<xsl:value-of select="." />
+		<xsl:text>}</xsl:text>
+	</xsl:template>
 
-<xsl:template match="series/title">
-  <xsl:apply-templates/>
-</xsl:template>
+	<xsl:template match="series/title">
+		<xsl:apply-templates />
+	</xsl:template>
 
-<xsl:template match="title">
-  <xsl:variable name="name">
-    <xsl:choose>
-      <xsl:when test="@level='a' or not(ancestor::biblStruct/analytic)">title</xsl:when>
-      <xsl:when test="@level='j' or parent::monogr/imprint/biblScope[@type='volume']">journal</xsl:when>
-      <xsl:when test="@level='m' or parent::monogr">booktitle</xsl:when>
-      <xsl:when test="@level='s'">series</xsl:when>
-      <xsl:otherwise>title</xsl:otherwise>
-    </xsl:choose>
-  </xsl:variable>
-  <xsl:text>@</xsl:text>
-  <xsl:value-of select="$name"/>
-  <xsl:text>={{</xsl:text>
-  <xsl:apply-templates/>
-  <xsl:text>}}</xsl:text>
-</xsl:template>
+	<xsl:template match="title">
+		<xsl:variable name="name">
+			<xsl:choose>
+				<xsl:when
+					test="@level='a' or not(ancestor::biblStruct/analytic)">
+					title
+				</xsl:when>
+				<xsl:when
+					test="@level='j' or parent::monogr/imprint/biblScope[@type='volume']">
+					journal
+				</xsl:when>
+				<xsl:when test="@level='m' or parent::monogr">
+					booktitle
+				</xsl:when>
+				<xsl:when test="@level='s'">
+					series
+				</xsl:when>
+				<xsl:otherwise>
+					title
+				</xsl:otherwise>
+			</xsl:choose>
+		</xsl:variable>
+		<xsl:text>@</xsl:text>
+		<xsl:value-of select="$name" />
+		<xsl:text>={{</xsl:text>
+		<xsl:apply-templates />
+		<xsl:text>}}</xsl:text>
+	</xsl:template>
 
-<xsl:template match="q">
-  <xsl:text>``</xsl:text>
-  <xsl:apply-templates/>
-  <xsl:text>''</xsl:text>
-</xsl:template>
+	<xsl:template match="q">
+		<xsl:text>``</xsl:text>
+		<xsl:apply-templates />
+		<xsl:text>''</xsl:text>
+	</xsl:template>
 
-<xsl:template match="series">
-  <xsl:text>@type={</xsl:text>
-  <xsl:apply-templates/>
-  <xsl:text>}</xsl:text>
-</xsl:template>
+	<xsl:template match="series">
+		<xsl:text>@type={</xsl:text>
+		<xsl:apply-templates />
+		<xsl:text>}</xsl:text>
+	</xsl:template>
 
-<xsl:template match="biblScope[@type='pages']">
-  <xsl:text>@pages={</xsl:text>
-  <xsl:apply-templates/>
-  <xsl:text>}</xsl:text>
-</xsl:template>
+	<xsl:template match="biblScope[@type='pages']">
+		<xsl:text>@pages={</xsl:text>
+		<xsl:apply-templates />
+		<xsl:text>}</xsl:text>
+	</xsl:template>
 
-<xsl:template match="biblScope[@type='volume']">
-  <xsl:text>@volume={</xsl:text>
-  <xsl:apply-templates/>
-  <xsl:text>}</xsl:text>
-</xsl:template>
+	<xsl:template match="biblScope[@type='volume']">
+		<xsl:text>@volume={</xsl:text>
+		<xsl:apply-templates />
+		<xsl:text>}</xsl:text>
+	</xsl:template>
 
-<xsl:template match="biblScope[@type='issue']">
-  <xsl:text>@issue={</xsl:text>
-  <xsl:apply-templates/>
-  <xsl:text>}</xsl:text>
-</xsl:template>
+	<xsl:template match="biblScope[@type='issue']">
+		<xsl:text>@issue={</xsl:text>
+		<xsl:apply-templates />
+		<xsl:text>}</xsl:text>
+	</xsl:template>
 
-<xsl:template match="edition">
-  <xsl:text>@edition={</xsl:text>
-  <xsl:apply-templates/>
-  <xsl:text>}</xsl:text>
-</xsl:template>
+	<xsl:template match="edition">
+		<xsl:text>@edition={</xsl:text>
+		<xsl:apply-templates />
+		<xsl:text>}</xsl:text>
+	</xsl:template>
 
-<xsl:template match="editor">
-  <xsl:if test="not(preceding-sibling::editor)">
-    <xsl:text>@editor={</xsl:text>
-    <xsl:for-each select="../editor">
-      <xsl:choose>
-	<xsl:when test="forename and surname">
-	  <xsl:value-of select="forename"/>
-	  <xsl:text> </xsl:text>
-	  <xsl:value-of select="surname"/>
-	</xsl:when>
-	<xsl:otherwise>
-	  <xsl:apply-templates/>
-	</xsl:otherwise>
-      </xsl:choose>
-      <xsl:if test="following-sibling::editor"> and </xsl:if>
-    </xsl:for-each>
-    <xsl:text>}</xsl:text>
-  </xsl:if>
-</xsl:template>
+	<xsl:template match="editor">
+		<xsl:if test="not(preceding-sibling::editor)">
+			<xsl:text>@editor={</xsl:text>
+			<xsl:for-each select="../editor">
+				<xsl:choose>
+					<xsl:when test="forename and surname">
+						<xsl:value-of select="forename" />
+						<xsl:text> </xsl:text>
+						<xsl:value-of select="surname" />
+					</xsl:when>
+					<xsl:otherwise>
+						<xsl:apply-templates />
+					</xsl:otherwise>
+				</xsl:choose>
+				<xsl:if test="following-sibling::editor">
+					and
+				</xsl:if>
+			</xsl:for-each>
+			<xsl:text>}</xsl:text>
+		</xsl:if>
+	</xsl:template>
 
-<xsl:template match="author">
-  <xsl:if test="not(preceding-sibling::author)">
-    <xsl:text>@author={</xsl:text>
-    <xsl:for-each select="../author">
-      <xsl:choose>
-	<xsl:when test="forename and surname">
-	  <xsl:value-of select="forename"/>
-	  <xsl:text> </xsl:text>
-	  <xsl:value-of select="surname"/>
-	</xsl:when>
-	<xsl:otherwise>
-	  <xsl:apply-templates/>
-	</xsl:otherwise>
-      </xsl:choose>
-      <xsl:if test="following-sibling::author"> and </xsl:if>
-    </xsl:for-each>
-    <xsl:text>}</xsl:text>
-  </xsl:if>
-</xsl:template>
+	<xsl:template match="author">
+		<xsl:if test="not(preceding-sibling::author)">
+			<xsl:text>@author={</xsl:text>
+			<xsl:for-each select="../author">
+				<xsl:choose>
+					<xsl:when test="forename and surname">
+						<xsl:value-of select="forename" />
+						<xsl:text> </xsl:text>
+						<xsl:value-of select="surname" />
+					</xsl:when>
+					<xsl:otherwise>
+						<xsl:apply-templates />
+					</xsl:otherwise>
+				</xsl:choose>
+				<xsl:if test="following-sibling::author">
+					and
+				</xsl:if>
+			</xsl:for-each>
+			<xsl:text>}</xsl:text>
+		</xsl:if>
+	</xsl:template>
 
 </xsl:stylesheet>
